Skip to main content
POST
Create a workflow for an agent

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'

Path Parameters

agent_name
string
required

Body

application/json
workflow_id
string
required

Client-provided unique workflow id

Minimum string length: 1
description
string
required

Human-readable description (required)

Minimum string length: 1
nodes
Nodes · object[]
required

n8n-shaped nodes

Minimum array length: 1
name
string | null

Optional workflow display name

connections
Connections · object

n8n-shaped connections map

inputs
Inputs · object | null

Optional default inputs ($workflow.inputs)

Response

Successful Response

id
string
required
agent_name
string
required
nodes
Nodes · object[]
required
connections
Connections · object
required
description
string | null
name
string | null
inputs
Inputs · object | null
created_by
string | null
created_at
string | null
updated_at
string | null